cdac.medinfo.sdk.hl7282.baselibs.segments

## Class SHP

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.SHP

- All Implemented Interfaces:
    ISegment

      public class SHP
      extends Segment

  SHP - Shipment Segment .

  The intent of this segment is to describe the information associated with the transportation of the shipment.

  Represents an HL7 SHP message segment. This segment has the following fields:

  SHP-1: Shipment ID (EI)Required
  SHP-2: Internal Shipment ID (EI)Optional
  SHP-3: Shipment Status (CWE)Optional
  SHP-4: Shipment Status Date/Time (DTM)Required
  SHP-5: Shipment Status Reason (TX)Optional
  SHP-6: Shipment Priority (CWE)Optional
  SHP-7: Shipment Confidentiality (CWE)Optional
  SHP-8: Number of Packages in Shipment (NM)Optional
  SHP-9: Shipment Condition (CWE)Optional
  SHP-10: Shipment Handling Code (CWE)Optional
  SHP-11: Shipment Risk Code (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SHP()` Constructs the SHP segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInternalShipmentID(EI objInternalShipmentID)` Add the Internal Shipment ID.
    `void` | `addInternalShipmentID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Add the Internal Shipment ID.
    `void` | `addShipmentCondition(CWE objShipmentCondition)` Set the Shipment Condition.
    `void` | `addShipmentCondition(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Shipment Condition.
    `void` | `addShipmentConfidentiality(CWE objShipmentConfidentiality)` Set the Shipment Confidentiality.
    `void` | `addShipmentConfidentiality(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Shipment Confidentiality.
    `void` | `addShipmentHandlingCode(CWE objShipmentHandlingCode)` Set the Shipment Handling Code.
    `void` | `addShipmentHandlingCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Shipment Handling Code.
    `void` | `addShipmentRiskCode(CWE objShipmentRiskCode)` Set the Shipment Handling Code.
    `void` | `addShipmentRiskCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Shipment Risk Code.
    `ISingleCollection<EI>` | `getInternalShipmentID()` Retrieves the Internal Shipment ID.
    `NM` | `getNumberOfPackagesInShipment()` Retrieves the Number of Packages in Shipment.
    `ISingleCollection<CWE>` | `getShipmentCondidentiality()` Retrieves the Shipment Confidentiality.
    `ISingleCollection<CWE>` | `getShipmentCondition()` Retrieves the Shipment Condition.
    `ISingleCollection<CWE>` | `getShipmentHandlingCode()` Retrieves the Shipment Handling Code.
    `EI` | `getShipmentID()` Retrieves the Shipment ID.
    `CWE` | `getShipmentPriority()` Retrieves the Shipment Priority.
    `ISingleCollection<CWE>` | `getShipmentRiskCode()` Retrieves the Shipment Risk Code.
    `CWE` | `getShipmentStatus()` Retrieves the Shipment Status.
    `DTM` | `getShipmentStatusDateTime()` Retrieves the Shipment Status Date/Time.
    `TX` | `getShipmentStatusReason()` Retrieves the Shipment Status Reason.
    `void` | `setInternalShipmentID(ISingleCollection<EI> objInternalShipmentIDList)` Set the Internal Shipment ID.
    `void` | `setNumberOfPackagesInShipment(NM objNumberOfPackagesInShipment)` Set the Number of Packages in Shipment.
    `void` | `setNumberOfPackagesInShipment(java.lang.String strNumberOfPackagesInShipment)` Set the Number of Packages in Shipment.
    `void` | `setShipmentCondition(ISingleCollection<CWE> objShipmentConditionList)` Set the Shipment Condition.
    `void` | `setShipmentConfidentiality(ISingleCollection<CWE> objShipmentConfidentialityList)` Set the Shipment Confidentiality.
    `void` | `setShipmentHandlingCode(ISingleCollection<CWE> objShipmentConditionList)` Set the Shipment Condition.
    `void` | `setShipmentID(EI objShipmentID)` Set the Shipment ID.
    `void` | `setShipmentID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Shipment ID.
    `void` | `setShipmentPriority(CWE objShipmentPriority)` Set the Shipment Priority.
    `void` | `setShipmentPriority(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Shipment Priority.
    `void` | `setShipmentRiskCode(ISingleCollection<CWE> objShipmentConditionList)` Set the Shipment Risk Code.
    `void` | `setShipmentStatus(CWE objShipmentStatus)` Set the Shipment Status.
    `void` | `setShipmentStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Shipment Status This is the shipment status which specifies where in the shipment process the package is at the time of messaging.
    `void` | `setShipmentStatusDateTime(DTM objShipmentStatusDateTime)` Set the Shipment Status Date Time.
    `void` | `setShipmentStatusDateTime(java.lang.String strTime)` Set the Shipment Status Date Time.
    `void` | `setShipmentStatusReason(java.lang.String strShipmentStatusReason)` Set the Shipment Status Reason.
    `void` | `setShipmentStatusReason(TX objshipmentStatusReason)` Set the Shipment Status Reason.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, validate, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SHP

          public SHP()

      Constructs the SHP segment.

  - ### Method Detail

    - #### getShipmentID

          public EI getShipmentID()

      Retrieves the Shipment ID. This is the identifier assigned by the shipment transportation provider that uniquely identifies this shipment from all other shipments by the same provider.
      Returns:
        EI - ShipmentID

    - #### getInternalShipmentID

          public ISingleCollection<EI> getInternalShipmentID()

      Retrieves the Internal Shipment ID. This is the identifier assigned by the shipment transportation or the addressee of the shipment.
      Returns:
        ISingleCollection - internalShipmentID

    - #### getShipmentStatus

          public CWE getShipmentStatus()

      Retrieves the Shipment Status. This is the shipment status which specifies where in the shipment process the package is at the time of messaging.
      Returns:
        CWE - ShipmentStatus

    - #### getShipmentStatusDateTime

          public DTM getShipmentStatusDateTime()

      Retrieves the Shipment Status Date/Time. This field contains the shipment status date and time.
      Returns:
        CWE - ShipmentStatusDateTime

    - #### getShipmentStatusReason

          public TX getShipmentStatusReason()

      Retrieves the Shipment Status Reason. This field contains the the shipment status reason used to document the reason for the status.
      Returns:
        TX - ShipmentStatusReason

    - #### getShipmentPriority

          public CWE getShipmentPriority()

      Retrieves the Shipment Priority. This field contains the priority the shipment has been given by the sender.
      Returns:
        CWE - ShipmentPriority

    - #### getShipmentCondidentiality

          public ISingleCollection<CWE> getShipmentCondidentiality()

      Retrieves the Shipment Confidentiality. This field contains any confidentiality that may be associated with this particular shipment.
      Returns:
        ISingleCollection - ShipmentConfidentiality

    - #### getNumberOfPackagesInShipment

          public NM getNumberOfPackagesInShipment()

      Retrieves the Number of Packages in Shipment. This field contains the total number of separate packages that are contained in the shipment.
      Returns:
        NM - NumberOfPackagesInShipment

    - #### getShipmentCondition

          public ISingleCollection<CWE> getShipmentCondition()

      Retrieves the Shipment Condition. This field contains the condition of the shipment when it was received.
      Returns:
        ISingleCollection - ShipmentCondition

    - #### getShipmentHandlingCode

          public ISingleCollection<CWE> getShipmentHandlingCode()

      Retrieves the Shipment Handling Code. This field describes how the shipment needs to be handled during transport.
      Returns:
        ISingleCollection - ShipmentHandling Code

    - #### getShipmentRiskCode

          public ISingleCollection<CWE> getShipmentRiskCode()

      Retrieves the Shipment Risk Code. This field contains any known or suspected hazards associated with this shipment.
      Returns:
        ISingleCollection - ShipmentRiskCode

    - #### setShipmentID

          public void setShipmentID(java.lang.String strEntityIdentifier,
                           java.lang.String strNamespaceId,
                           java.lang.String strUniversalId,
                           java.lang.String strUniversalIdType)

      Set the Shipment ID. This is the identifier assigned by the shipment transportation provider that uniquely identifies this shipment from all other shipments by the same provider.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setShipmentID

          public void setShipmentID(EI objShipmentID)

      Set the Shipment ID. This is the identifier assigned by the shipment transportation provider that uniquely identifies this shipment from all other shipments by the same provider.
      Parameters:
        `objShipmentID` - Object of Shipment Instance ID.

    - #### addInternalShipmentID

          public void addInternalShipmentID(java.lang.String strEntityIdentifier,
                                   java.lang.String strNamespaceId,
                                   java.lang.String strUniversalId,
                                   java.lang.String strUniversalIdType)

      Add the Internal Shipment ID. This is the identifier assigned by the shipment transportation or the addressee of the shipment.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### addInternalShipmentID

          public void addInternalShipmentID(EI objInternalShipmentID)

      Add the Internal Shipment ID. This is the identifier assigned by the shipment transportation or the addressee of the shipment.
      Parameters:
        `objInternalShipmentID` - Object of Internal Shipment Instance ID.

    - #### setInternalShipmentID

          public void setInternalShipmentID(ISingleCollection<EI> objInternalShipmentIDList)

      Set the Internal Shipment ID. This is the identifier assigned by the shipment transportation or the addressee of the shipment.
      Parameters:
        `objInternalShipmentIDList` - List of Internal Shipment ID.

    - #### setShipmentStatus

          public void setShipmentStatus(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Shipment Status This is the shipment status which specifies where in the shipment process the package is at the time of messaging.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setShipmentStatus

          public void setShipmentStatus(CWE objShipmentStatus)

      Set the Shipment Status. This is the shipment status which specifies where in the shipment process the package is at the time of messaging.
      Parameters:
        `objParticipation` - Object of Participation.

    - #### setShipmentStatusDateTime

          public void setShipmentStatusDateTime(java.lang.String strTime)

      Set the Shipment Status Date Time. This field contains the date/time of the shipment status.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setShipmentStatusDateTime

          public void setShipmentStatusDateTime(DTM objShipmentStatusDateTime)

      Set the Shipment Status Date Time. This field contains the date/time of the shipment status.
      Parameters:
        `objShipmentStatusDateTime` - Object of Shipment Status Date Time.

    - #### setShipmentStatusReason

          public void setShipmentStatusReason(java.lang.String strShipmentStatusReason)

      Set the Shipment Status Reason. This field contains the the shipment status reason used to document the reason for the status.
      Parameters:
        `strShipmentStatusReason` - String to be passed as Shipment Status Reason

    - #### setShipmentStatusReason

          public void setShipmentStatusReason(TX objshipmentStatusReason)

      Set the Shipment Status Reason. This field contains the the shipment status reason used to document the reason for the status.
      Parameters:
        `strShipmentStatusReason` - String to be passed as Shipment Status Reason

    - #### setShipmentPriority

          public void setShipmentPriority(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Shipment Priority. This field contains the priority the shipment has been given by the sender.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setShipmentPriority

          public void setShipmentPriority(CWE objShipmentPriority)

      Set the Shipment Priority. This field contains the priority the shipment has been given by the sender.
      Parameters:
        `objShipmentPriority` - Object of Shipment Priority.

    - #### addShipmentConfidentiality

          public void addShipmentConfidentiality(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Shipment Confidentiality. This field contains any confidentiality that may be associated with this particular shipment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addShipmentConfidentiality

          public void addShipmentConfidentiality(CWE objShipmentConfidentiality)

      Set the Shipment Confidentiality. This field contains any confidentiality that may be associated with this particular shipment.
      Parameters:
        `objShipmentConfidentiality` - Specifies the Shipment Confidentiality

    - #### setShipmentConfidentiality

          public void setShipmentConfidentiality(ISingleCollection<CWE> objShipmentConfidentialityList)

      Set the Shipment Confidentiality. This field contains any confidentiality that may be associated with this particular shipment.
      Parameters:
        `objShipmentConfidentialityList` - List of Shipment Confidentiality

    - #### setNumberOfPackagesInShipment

          public void setNumberOfPackagesInShipment(java.lang.String strNumberOfPackagesInShipment)

      Set the Number of Packages in Shipment. This field contains the total number of separate packages that are contained in the shipment.
      Parameters:
        `strNumberOfPackagesInShipment` - Specifies the Number of Packages in Shipment.

    - #### setNumberOfPackagesInShipment

          public void setNumberOfPackagesInShipment(NM objNumberOfPackagesInShipment)

      Set the Number of Packages in Shipment. This field contains the total number of separate packages that are contained in the shipment.
      Parameters:
        `objnumberOfPackagesInShipment` - Specifies the Number of Packages in Shipment.

    - #### addShipmentCondition

          public void addShipmentCondition(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Shipment Condition. This field contains the condition of the shipment when it was received.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addShipmentCondition

          public void addShipmentCondition(CWE objShipmentCondition)

      Set the Shipment Condition. This field contains the condition of the shipment when it was received.
      Parameters:
        `objShipmentCondition` - Specifies the Shipment Condition

    - #### setShipmentCondition

          public void setShipmentCondition(ISingleCollection<CWE> objShipmentConditionList)

      Set the Shipment Condition. This field contains the condition of the shipment when it was received.
      Parameters:
        `objShipmentConditionList` - List of Shipment Condition

    - #### addShipmentHandlingCode

          public void addShipmentHandlingCode(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Shipment Handling Code. This field describes how the shipment needs to be handled during transport.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addShipmentHandlingCode

          public void addShipmentHandlingCode(CWE objShipmentHandlingCode)

      Set the Shipment Handling Code. This field describes how the shipment needs to be handled during transport.
      Parameters:
        `objShipmentHandlingCode` - Specifies the Shipment Handling Code

    - #### setShipmentHandlingCode

          public void setShipmentHandlingCode(ISingleCollection<CWE> objShipmentConditionList)

      Set the Shipment Condition. This field describes how the shipment needs to be handled during transport.
      Parameters:
        `objShipmentHandlingCodeList` - List of Shipment Handling Codes

    - #### addShipmentRiskCode

          public void addShipmentRiskCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Shipment Risk Code. This field contains any known or suspected hazards associated with this shipment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addShipmentRiskCode

          public void addShipmentRiskCode(CWE objShipmentRiskCode)

      Set the Shipment Handling Code. This field contains any known or suspected hazards associated with this shipment.
      Parameters:
        `objShipmentRiskCode` - Specifies the Shipment Risk Code

    - #### setShipmentRiskCode

          public void setShipmentRiskCode(ISingleCollection<CWE> objShipmentConditionList)

      Set the Shipment Risk Code. This field contains any known or suspected hazards associated with this shipment.
      Parameters:
        `objShipmentRiskCodeList` - List of Shipment Risk Codes